<?php
if (!defined('_GNUBOARD_')) exit;

include_once(G5_PHPMAILER_PATH.'/PHPMailerAutoload.php');

// 메일 보내기 (파일 여러개 첨부 가능)
// type : text=0, html=1, text+html=2
function mailer($fname, $fmail, $to, $subject, $content, $type=0, $file="", $cc="", $bcc="")
{
    global $config;
    global $g5;

    // 메일발송 사용을 하지 않는다면
    if (!$config['cf_email_use']) return;

    if ($type != 1)
        $content = nl2br($content);


    /////////////// 이메일 서버 설정 부분 수정함  JSLEE [
    $mail = new PHPMailer(); // defaults to using php "mail()"
    if (defined('G5_SMTP') && G5_SMTP) {

        /* 기존부분은 주석처리 [
        $mail->IsSMTP(); // telling the class to use SMTP
        $mail->Host = G5_SMTP; // SMTP server
        if(defined('G5_SMTP_PORT') && G5_SMTP_PORT)
            $mail->Port = G5_SMTP_PORT;
        ] 기존부분은 주석처리 여기까지 */

        $mail->IsSMTP(); // telling the class to use SMTP
        $mail->Port = 587;
        $mail->Host = 'smtp.worksmobile.com'; // SMTP server
        $mail->SMTPAuth = true;
        $mail->Username = 'info@vpnlink.kr';
        $mail->Password = 'oEx28Il3bkrx';
    }

    $mail->CharSet = 'UTF-8';
    /* 이부분은 환경설정 > 관리자이메일 과 달라야한다면 입력해주시면되고
    그렇지않다면 그냥 두시면됩니다 */
    $mail->From = "info@vpnlink.kr";
    $mail->FromName = $fname;

    /////////////// 이메일 서버 설정 부분 수정함  JSLEE ]




    $mail->Subject = $subject;
    $mail->AltBody = ""; // optional, comment out and test
    $mail->msgHTML($content);
    $mail->addAddress($to);
    if ($cc)
        $mail->addCC($cc);
    if ($bcc)
        $mail->addBCC($bcc);
    //print_r2($file); exit;
    if ($file != "") {
        foreach ($file as $f) {
            $mail->addAttachment($f['path'], $f['name']);
        }
    }
    return $mail->send();
}


// 파일을 첨부함
function attach_file($filename, $tmp_name)
{
    // 서버에 업로드 되는 파일은 확장자를 주지 않는다. (보안 취약점)
    $dest_file = G5_DATA_PATH.'/tmp/'.str_replace('/', '_', $tmp_name);
    move_uploaded_file($tmp_name, $dest_file);
    $tmpfile = array("name" => $filename, "path" => $dest_file);
    return $tmpfile;
}
?>